org.apache.flume

## Class FlumeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.flume.FlumeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BadCheckpointException, BucketClosedException, ConfigurationException, DecryptionFailureException, HTTPBadRequestException

      public class FlumeException
      extends RuntimeException

  Base class of all flume exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlumeException(String msg)`
    `FlumeException(String msg, Throwable th)`
    `FlumeException(Throwable th)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlumeException

          public FlumeException(String msg)

    - #### FlumeException

          public FlumeException(String msg,
                        Throwable th)

    - #### FlumeException

          public FlumeException(Throwable th)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.